import React from "react";
import { RadioButtonFieldSkeletonProps, RadioButtonFieldSkeletonOptionProps, RadioButtonFieldSkeletonOptionLabelProps, RadioButtonFieldSkeletonHintProps, RadioButtonFieldSkeletonErrorProps, RadioButtonFieldSkeletonLabelProps } from "../../form-skeletons/components/RadioButtonFieldSkeleton";
import { FormGroupFieldOptionsProps, FormGroupFieldOptionWrapperProps, FormGroupFieldOptionLabelProps, WithFormGroupField } from "./FormGroupField";
import { WithStyledFieldLabel } from "./FormField";
export declare type RadioButtonFieldVariant = "default" | "framed";
export declare type RadioButtonFieldProps = WithFormGroupField<RadioButtonFieldSkeletonProps>;
export declare function RadioButtonField({ optionsDirection, ...rest }: RadioButtonFieldProps): JSX.Element;
export declare type RadioButtonFieldOptionProps = RadioButtonFieldSkeletonOptionProps;
export declare const RadioButtonFieldOption: React.ForwardRefExoticComponent<Pick<import("../../form-skeletons/components/FormGroupFieldSkeleton").FormGroupFieldSkeletonOptionProps, "key" | "defaultChecked" | "defaultValue" | "suppressContentEditableWarning" | "suppressHydrationWarning" | "accessKey" | "className" | "contentEditable" | "contextMenu" | "dir" | "draggable" | "hidden" | "lang" | "placeholder" | "slot" | "spellCheck" | "style" | "tabIndex" | "title" | "inputMode" | "is" | "radioGroup" | "role" | "about" | "datatype" | "inlist" | "prefix" | "property" | "resource" | "typeof" | "vocab" | "autoCapitalize" | "autoCorrect" | "autoSave" | "color" | "itemProp" | "itemScope" | "itemType" | "itemID" | "itemRef" | "results" | "security" | "unselectable" | "aria-activedescendant" | "aria-atomic" | "aria-autocomplete" | "aria-busy" | "aria-checked" | "aria-colcount" | "aria-colindex" | "aria-colspan" | "aria-controls" | "aria-current" | "aria-describedby" | "aria-details" | "aria-disabled" | "aria-dropeffect" | "aria-errormessage" | "aria-expanded" | "aria-flowto" | "aria-grabbed" | "aria-haspopup" | "aria-hidden" | "aria-keyshortcuts" | "aria-label" | "aria-labelledby" | "aria-level" | "aria-live" | "aria-modal" | "aria-multiline" | "aria-multiselectable" | "aria-orientation" | "aria-owns" | "aria-placeholder" | "aria-posinset" | "aria-pressed" | "aria-readonly" | "aria-relevant" | "aria-required" | "aria-roledescription" | "aria-rowcount" | "aria-rowindex" | "aria-rowspan" | "aria-selected" | "aria-setsize" | "aria-sort" | "aria-valuemax" | "aria-valuemin" | "aria-valuenow" | "aria-valuetext" | "dangerouslySetInnerHTML" | "onCopy" | "onCopyCapture" | "onCut" | "onCutCapture" | "onPaste" | "onPasteCapture" | "onCompositionEnd" | "onCompositionEndCapture" | "onCompositionStart" | "onCompositionStartCapture" | "onCompositionUpdate" | "onCompositionUpdateCapture" | "onFocus" | "onFocusCapture" | "onBlur" | "onBlurCapture" | "onChange" | "onChangeCapture" | "onBeforeInput" | "onBeforeInputCapture" | "onInput" | "onInputCapture" | "onReset" | "onResetCapture" | "onSubmit" | "onSubmitCapture" | "onInvalid" | "onInvalidCapture" | "onLoad" | "onLoadCapture" | "onError" | "onErrorCapture" | "onKeyDown" | "onKeyDownCapture" | "onKeyPress" | "onKeyPressCapture" | "onKeyUp" | "onKeyUpCapture" | "onAbort" | "onAbortCapture" | "onCanPlay" | "onCanPlayCapture" | "onCanPlayThrough" | "onCanPlayThroughCapture" | "onDurationChange" | "onDurationChangeCapture" | "onEmptied" | "onEmptiedCapture" | "onEncrypted" | "onEncryptedCapture" | "onEnded" | "onEndedCapture" | "onLoadedData" | "onLoadedDataCapture" | "onLoadedMetadata" | "onLoadedMetadataCapture" | "onLoadStart" | "onLoadStartCapture" | "onPause" | "onPauseCapture" | "onPlay" | "onPlayCapture" | "onPlaying" | "onPlayingCapture" | "onProgress" | "onProgressCapture" | "onRateChange" | "onRateChangeCapture" | "onSeeked" | "onSeekedCapture" | "onSeeking" | "onSeekingCapture" | "onStalled" | "onStalledCapture" | "onSuspend" | "onSuspendCapture" | "onTimeUpdate" | "onTimeUpdateCapture" | "onVolumeChange" | "onVolumeChangeCapture" | "onWaiting" | "onWaitingCapture" | "onClick" | "onClickCapture" | "onContextMenu" | "onContextMenuCapture" | "onDoubleClick" | "onDoubleClickCapture" | "onDrag" | "onDragCapture" | "onDragEnd" | "onDragEndCapture" | "onDragEnter" | "onDragEnterCapture" | "onDragExit" | "onDragExitCapture" | "onDragLeave" | "onDragLeaveCapture" | "onDragOver" | "onDragOverCapture" | "onDragStart" | "onDragStartCapture" | "onDrop" | "onDropCapture" | "onMouseDown" | "onMouseDownCapture" | "onMouseEnter" | "onMouseLeave" | "onMouseMove" | "onMouseMoveCapture" | "onMouseOut" | "onMouseOutCapture" | "onMouseOver" | "onMouseOverCapture" | "onMouseUp" | "onMouseUpCapture" | "onSelect" | "onSelectCapture" | "onTouchCancel" | "onTouchCancelCapture" | "onTouchEnd" | "onTouchEndCapture" | "onTouchMove" | "onTouchMoveCapture" | "onTouchStart" | "onTouchStartCapture" | "onPointerDown" | "onPointerDownCapture" | "onPointerMove" | "onPointerMoveCapture" | "onPointerUp" | "onPointerUpCapture" | "onPointerCancel" | "onPointerCancelCapture" | "onPointerEnter" | "onPointerEnterCapture" | "onPointerLeave" | "onPointerLeaveCapture" | "onPointerOver" | "onPointerOverCapture" | "onPointerOut" | "onPointerOutCapture" | "onGotPointerCapture" | "onGotPointerCaptureCapture" | "onLostPointerCapture" | "onLostPointerCaptureCapture" | "onScroll" | "onScrollCapture" | "onWheel" | "onWheelCapture" | "onAnimationStart" | "onAnimationStartCapture" | "onAnimationEnd" | "onAnimationEndCapture" | "onAnimationIteration" | "onAnimationIterationCapture" | "onTransitionEnd" | "onTransitionEndCapture" | "css" | "list" | "step" | "form" | "pattern" | "autoFocus" | "disabled" | "formAction" | "formEncType" | "formMethod" | "formNoValidate" | "formTarget" | "name" | "value" | "size" | "width" | "height" | "multiple" | "src" | "max" | "min" | "accept" | "alt" | "autoComplete" | "capture" | "checked" | "crossOrigin" | "maxLength" | "minLength" | "readOnly" | "required"> & React.RefAttributes<HTMLInputElement>>;
export declare type RadioButtonFieldOptionLabelProps = RadioButtonFieldSkeletonOptionLabelProps & FormGroupFieldOptionLabelProps & {
    variant: RadioButtonFieldVariant;
};
export declare const RadioButtonFieldOptionLabel: React.FC<RadioButtonFieldOptionLabelProps>;
export declare type RadioButtonFieldLabelProps = WithStyledFieldLabel<RadioButtonFieldSkeletonLabelProps>;
export declare function RadioButtonFieldLabel({ children, size, isRequired, ...props }: RadioButtonFieldLabelProps): JSX.Element;
export declare type RadioButtonFieldHintProps = RadioButtonFieldSkeletonHintProps;
export declare function RadioButtonFieldHint(props: RadioButtonFieldHintProps): JSX.Element;
export declare type RadioButtonFieldErrorProps = RadioButtonFieldSkeletonErrorProps;
export declare function RadioButtonFieldError(props: RadioButtonFieldErrorProps): JSX.Element;
export declare type RadioButtonFieldOptionsProps = FormGroupFieldOptionsProps;
export declare function RadioButtonFieldOptions(props: RadioButtonFieldOptionsProps): JSX.Element;
export declare type RadioButtonFieldOptionWrapperProps = FormGroupFieldOptionWrapperProps & {
    variant: RadioButtonFieldVariant;
};
export declare function RadioButtonFieldOptionWrapper({ variant, ...rest }: RadioButtonFieldOptionWrapperProps): JSX.Element;
export declare type RadioButtonFieldOptionItemProps = RadioButtonFieldOptionProps & {
    label: React.ReactNode;
    variant?: RadioButtonFieldVariant;
};
export declare function RadioButtonFieldOptionItem({ label, value, variant, ...rest }: RadioButtonFieldOptionItemProps): JSX.Element;
