import React__default from 'react';

var ToastContext = React__default.createContext({
  showToast: function showToast() {
    return undefined;
  }
});
function useToastContext() {
  var context = React__default.useContext(ToastContext);

  if (!context) {
    throw new Error("Toast hooks cannot be used outside the ToastProvider component");
  }

  return context;
}

export { ToastContext, useToastContext };
//# sourceMappingURL=ToastContext.esm.js.map
