import { objectWithoutProperties as _objectWithoutProperties, extends as _extends } from '../../../../_virtual/_rollupPluginBabelHelpers.js';
import { jsx } from '@emotion/core';
import React__default from 'react';
import { FormFieldBlock } from './FormFieldBlock.esm.js';
import { StyledInput } from './styled-primitives/StyledInput.esm.js';

var InputFieldBlock = React__default.forwardRef(function InputFieldBlock(props, ref) {
  var id = props.id,
      label = props.label,
      labelSize = props.labelSize,
      error = props.error,
      hint = props.hint,
      className = props.className,
      validationMode = props.validationMode,
      layout = props.layout,
      required = props.required,
      rest = _objectWithoutProperties(props, ["id", "label", "labelSize", "error", "hint", "className", "validationMode", "layout", "required"]);

  return jsx(FormFieldBlock, {
    id: id,
    label: label,
    error: error,
    hint: hint,
    required: required,
    labelSize: labelSize,
    validationMode: validationMode,
    layout: layout,
    className: className
  }, function (controlProps) {
    return jsx(StyledInput, _extends({
      ref: ref
    }, controlProps, {
      css: {
        width: "100%"
      }
    }, rest));
  });
});
InputFieldBlock.__docgenInfo = {
  "description": "",
  "methods": [],
  "displayName": "InputFieldBlock"
};

if (typeof STORYBOOK_REACT_CLASSES !== "undefined") {
  STORYBOOK_REACT_CLASSES["src/components/form/components/InputFieldBlock.tsx"] = {
    name: "InputFieldBlock",
    docgenInfo: InputFieldBlock.__docgenInfo,
    path: "src/components/form/components/InputFieldBlock.tsx"
  };
}

export { InputFieldBlock };
//# sourceMappingURL=InputFieldBlock.esm.js.map
